#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
---
- name: install wireguard
  apt:
    pkg:
    - wireguard
    state: present
    policy_rc_d: 101
  when: setup_wireguard | bool
  tags: "online"
  ignore_errors: "{{ignore_online_errors | bool}}"


- include_tasks: wireguard_interface.yml
  with_items: "{{wireguard_interfaces}}"
  loop_control:
    loop_var: wg
  when: setup_wireguard | bool
